Subject: Re: GSoC 2008 - Mentors Wanted!

From: Robin Rosenberg <[email-masked]>
Date: Thu, 6 Mar 2008 21:48:01 +0100

Den Thursday 06 March 2008 06.08.46 skrev Shawn O. Pearce:
> Robin Rosenberg <[email-masked]> wrote:
> > You will find support in jgit for this today. Cloning over git and ssh
> > real soon. I'm clensing the oopses from the history right now. (bless
> > rebase -i and git-gui).
>
> I'm sort of waiting to see this fetch history soon.  :-)
>
> The reason is I just got index v2 support (runtime read side) completed
> and I want to add index v2 generation to IndexPack.  I also want to start
> building a PackWriter so we can work on native transport push over SSH.
>
> If we get fetch/push running I think we are heading into the area
> where it is of some real use to people.
>
> > There might be some operations that might be harder to do well in Java.
> > For those exec'ing might be the solution, I'm thinking repack, but then I
> > haven't tried it yet.
>
> I'm determined to even get "proper" packfile generation in Java.
> But it may be time consuming to build.  There may be license issues
> around doing a direct cribbed port of the delta generation.  :-\

If you know where to look, you might find a version of it. :) I don't think
I've changed so much as to prevent you from starting to code the push
part.

> > If someone *did* make a fully reentrant libgit, I'd be inclined to
> > balance my opinions differently.
>
> Really?  If jgit is basically as fast as C git, but doesn't have
> the overheads of dropping in and out of JNI or fork/exec then you
> can actually get pretty good performance out of a Java application.
I meant "might be".  :]

-- robin